//package events;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*; //MAINPROG
import java.io.*;
import java.util.Random;

public class MainWindow extends JPanel
        implements MouseListener {
    private KeyboardPanel keyboardPanel = new KeyboardPanel();
    private FPS time = new FPS();
    private int counter;
    private double framesps;
    private Image tile1 = Toolkit.getDefaultToolkit().getImage("tile1.gif");
    private Image player1 = Toolkit.getDefaultToolkit().getImage("player.png");
    private int charPosX;
    private int charPosY;
    private int time2;
    public Random rand = new Random();
    public static void main(String[] args) {
        try {
            UIManager.setLookAndFeel("javax.swing.plaf.metal.MetalLookAndFeel");
        } catch (UnsupportedLookAndFeelException ex) {
            ex.printStackTrace();
        } catch (IllegalAccessException ex) {
            ex.printStackTrace();
        } catch (InstantiationException ex) {
            ex.printStackTrace();
        } catch (ClassNotFoundException ex) {
            ex.printStackTrace();
        }
        UIManager.put("swing.boldMetal", Boolean.FALSE);
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });
    }
    private static void createAndShowGUI() {
        JFrame frame = new JFrame("Frames per second calculator");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        JComponent newContentPane = new MainWindow();
        newContentPane.setOpaque(true);
        frame.setContentPane(newContentPane);
        frame.pack();
        frame.setVisible(true);
    }
    public MainWindow() {
        addMouseListener(this);
        add(keyboardPanel);
        
    	keyboardPanel.setFocusable(true);
    	counter = 0;
    	time2 = time.getTime();
    	charPosX = 0;
    	charPosY = 100;
        setPreferredSize(new Dimension(256, 256));
    }
    public void mousePressed(MouseEvent e) {
    }
    public void mouseReleased(MouseEvent e) {
    }
    public void mouseEntered(MouseEvent e) {
    }
    public void mouseExited(MouseEvent e) {
    }
    public void mouseClicked(MouseEvent e) {
    	
    	
    }
    public void paint(Graphics g){
    	
    	
    	if(time2+1000>time.getTime()){
    		counter++;
    	}
    	else{
    		time2 = time.getTime();
    		framesps = counter;
    		counter = 0;
    	}
    	
    	g.setColor(Color.WHITE);
    	g.fillRect(0,0,256,256);
    	for(int k = 0;k < 8;k++){
    		for(int i = 0;i < 8; i++){
    			g.drawImage(tile1,i*32,k*32,this);
    		}
    	}
    	g.drawImage(player1,charPosX,charPosY,this);
    	g.setColor(Color.BLACK);
    	g.drawString(new Integer(time.getTime()).toString(),1,13);
    	g.drawString(new Double(framesps).toString(),1,25);
    	repaint();
    }
    class KeyboardPanel extends JPanel implements KeyListener {
  		private char keyChar = 'A'; // Default key

  		public KeyboardPanel() {
    		addKeyListener(this); // Register listener
  		}

  		public void keyReleased(KeyEvent e) {
  		}

  		public void keyTyped(KeyEvent e) {
  		}

  		public void keyPressed(KeyEvent e) {
    		switch (e.getKeyCode()) {
      			case KeyEvent.VK_DOWN: charPosY+=2; break;
      			case KeyEvent.VK_UP: charPosY-=2; break;
      			case KeyEvent.VK_LEFT: charPosX-=2; break;
      			case KeyEvent.VK_RIGHT: charPosX+=2; break;
      			default: keyChar = e.getKeyChar();
    		}
    		repaint();
  		}
    }
}

